| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
globjects::Sync Class Reference

`#include <globjects/include/globjects/Sync.h>`

Inheritance diagram for globjects::Sync:

## Public Member Functions
virtual | ~Sync ()
gl::GLenum | clientWait (gl::SyncObjectMask flags, gl::GLuint64 timeout)
void | wait (gl::GLuint64 timeout)
void | get (gl::GLenum pname, gl::GLsizei bufsize, gl::GLsizei *length, gl::GLint *values)
gl::GLint | get (gl::GLenum pname)
gl::GLsync | sync () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Static Public Member Functions
static Sync * | fence (gl::GLenum condition)

## Protected Member Functions
| Sync (gl::GLsync sync)
void | wait (gl::UnusedMask flags, gl::GLuint64 timeout)
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Static Protected Member Functions
static gl::GLsync | fenceSync (gl::GLenum condition, gl::UnusedMask flags)
static Sync * | fence (gl::GLenum condition, gl::UnusedMask flags)

## Protected Attributes
gl::GLsync | m_sync
void * | m_objectLabelState

## Friends
class | AbstractObjectNameImplementation

## Constructor & Destructor Documentation

## ◆ ~Sync()

virtual globjects::Sync::~Sync | ( |  | ) |
| virtual

## ◆ Sync()

globjects::Sync::Sync | ( | gl::GLsync | sync | ) |
| protected

## Member Function Documentation

## ◆ fence() [1/2]

static Sync* globjects::Sync::fence | ( | gl::GLenum | condition | ) |
| static

## ◆ clientWait()

gl::GLenum globjects::Sync::clientWait | ( | gl::SyncObjectMask | flags,
|  | gl::GLuint64 | timeout
| ) |  |

## ◆ wait() [1/2]

void globjects::Sync::wait | ( | gl::GLuint64 | timeout | ) |

## ◆ get() [1/2]

void globjects::Sync::get | ( | gl::GLenum | pname,
|  | gl::GLsizei | bufsize,
|  | gl::GLsizei * | length,
|  | gl::GLint * | values
| ) |  |

## ◆ get() [2/2]

gl::GLint globjects::Sync::get | ( | gl::GLenum | pname | ) |

## ◆ sync()

gl::GLsync globjects::Sync::sync | ( |  | ) | const

## ◆ wait() [2/2]

void globjects::Sync::wait | ( | gl::UnusedMask | flags,
|  | gl::GLuint64 | timeout
| ) |  |
| protected

## ◆ fenceSync()

static gl::GLsync globjects::Sync::fenceSync | ( | gl::GLenum | condition,
|  | gl::UnusedMask | flags
| ) |  |
| static protected

## ◆ fence() [2/2]

static Sync* globjects::Sync::fence | ( | gl::GLenum | condition,
|  | gl::UnusedMask | flags
| ) |  |
| static protected

## Friends And Related Function Documentation

## ◆ AbstractObjectNameImplementation

friend class AbstractObjectNameImplementation
| friend

## Member Data Documentation

## ◆ m_sync

gl::GLsync globjects::Sync::m_sync
| protected

## ◆ m_objectLabelState

void* globjects::Sync::m_objectLabelState
| mutable protected

The documentation for this class was generated from the following file:

- Sync.h